Runtime

## org.eclipse.gmf.runtime.draw2d.ui.render
Interface RenderedImage

All Superinterfaces:
  IAdaptable

    public interface RenderedImage

extends IAdaptable

Interface to allow dynamic resizing of an Image. IMPORTANT: This interface is not intended to be implemented by clients. New methods may be added in the future.

Method Summary
`RenderedImage` `getNewRenderedImage(RenderInfo info)` Retrieves an equivalent image of the specified size as specified through the parameters.
`RenderInfo` `getRenderInfo()` Accessor method to return information about the rendered image.
`Image` `getSWTImage()` Accessor for retrieving the SWT image for this ResizableImage.
`boolean` `isRendered()`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getRenderInfo

    RenderInfo getRenderInfo()

  Accessor method to return information about the rendered image.

  Returns:
    RenderInfo object that contains information about the rendered image.

### getNewRenderedImage

    RenderedImage getNewRenderedImage(RenderInfo info)

  Retrieves an equivalent image of the specified size as specified through the parameters.

  Parameters:
    `info` - `RenderInfo` object containing information about the size and general data regarding how the image will be rendered.
  Returns:
    `RenderedImage` which is the equivalent image of the source based on the requested `RenderInfo` information source.
  See Also:
    `RenderInfo`

### getSWTImage

    Image getSWTImage()

  Accessor for retrieving the SWT image for this ResizableImage. Typically, this accessor should implemented for dynamic rendering of the image to an SWT image. This avoid storing the heavy weight image buffer in memory until it is needed.

  Returns:
    SWT Image that this `RenderedImage` represents.

### isRendered

    boolean isRendered()

  Returns:
    `true` if image has been fully rendered, `false` if it needs to be rendered.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.